#ifndef MAT_ORTHOTROPIC_H_
#define MAT_ORTHOTROPIC_H_

#include "mat_user.h"

namespace user_orthotropic
{

class MatOrthotropic : public MatUser {
  public:
    MatOrthotropic();

    void runInit(UserMatInitCPU data) const override;
    void runMat(UserMatCPU data) const override;

    void runInitGPU(UserMatHost host, UserMatDevice device, cudaStream_t stream) const override;
    void runMatGPU(UserMatHost host, UserMatDevice device, cudaStream_t stream) const override;
};

} // namespace user_orthotropic

#endif // MAT_ORTHOTROPIC_H_
